Loading...
Searching...
No Matches
wayland::server::zwp_text_input_v1_content_hint Struct Reference

content hint More...

`#include <wayland-server-protocol-unstable.hpp>`

Inherits wayland::detail::bitfield< size, id >.

## Static Public Attributes

static const wayland::detail::bitfield< 10, 23 > | none
| no special behaviour
static const wayland::detail::bitfield< 10, 23 > | _default
| auto completion, correction and capitalization
static const wayland::detail::bitfield< 10, 23 > | password
| hidden and sensitive text
static const wayland::detail::bitfield< 10, 23 > | auto_completion
| suggest word completions
static const wayland::detail::bitfield< 10, 23 > | auto_correction
| suggest word corrections
static const wayland::detail::bitfield< 10, 23 > | auto_capitalization
| switch to uppercase letters at the start of a sentence
static const wayland::detail::bitfield< 10, 23 > | lowercase
| prefer lowercase letters
static const wayland::detail::bitfield< 10, 23 > | uppercase
| prefer uppercase letters
static const wayland::detail::bitfield< 10, 23 > | titlecase
| prefer casing for titles and headings (can be language dependent)
static const wayland::detail::bitfield< 10, 23 > | hidden_text
| characters should be hidden
static const wayland::detail::bitfield< 10, 23 > | sensitive_data
| typed text should not be stored
static const wayland::detail::bitfield< 10, 23 > | latin
| just latin characters should be entered
static const wayland::detail::bitfield< 10, 23 > | multiline
| the text input is multiline

## Detailed Description

content hint

Content hint is a bitmask to allow to modify the behavior of the text input.

Definition at line 6808 of file wayland-server-protocol-unstable.hpp.

## Member Data Documentation

## _default

const wayland::detail::bitfield<10, 23> wayland::server::zwp_text_input_v1_content_hint::_default

static

auto completion, correction and capitalization

Definition at line 6817 of file wayland-server-protocol-unstable.hpp.

## auto_capitalization

const wayland::detail::bitfield<10, 23> wayland::server::zwp_text_input_v1_content_hint::auto_capitalization

static

switch to uppercase letters at the start of a sentence

Definition at line 6825 of file wayland-server-protocol-unstable.hpp.

## auto_completion

const wayland::detail::bitfield<10, 23> wayland::server::zwp_text_input_v1_content_hint::auto_completion

static

suggest word completions

Definition at line 6821 of file wayland-server-protocol-unstable.hpp.

## auto_correction

const wayland::detail::bitfield<10, 23> wayland::server::zwp_text_input_v1_content_hint::auto_correction

static

suggest word corrections

Definition at line 6823 of file wayland-server-protocol-unstable.hpp.

## hidden_text

const wayland::detail::bitfield<10, 23> wayland::server::zwp_text_input_v1_content_hint::hidden_text

static

characters should be hidden

Definition at line 6833 of file wayland-server-protocol-unstable.hpp.

## latin

const wayland::detail::bitfield<10, 23> wayland::server::zwp_text_input_v1_content_hint::latin

static

just latin characters should be entered

Definition at line 6837 of file wayland-server-protocol-unstable.hpp.

## lowercase

const wayland::detail::bitfield<10, 23> wayland::server::zwp_text_input_v1_content_hint::lowercase

static

prefer lowercase letters

Definition at line 6827 of file wayland-server-protocol-unstable.hpp.

## multiline

const wayland::detail::bitfield<10, 23> wayland::server::zwp_text_input_v1_content_hint::multiline

static

the text input is multiline

Definition at line 6839 of file wayland-server-protocol-unstable.hpp.

## none

const wayland::detail::bitfield<10, 23> wayland::server::zwp_text_input_v1_content_hint::none

static

no special behaviour

Definition at line 6815 of file wayland-server-protocol-unstable.hpp.

## password

const wayland::detail::bitfield<10, 23> wayland::server::zwp_text_input_v1_content_hint::password

static

hidden and sensitive text

Definition at line 6819 of file wayland-server-protocol-unstable.hpp.

## sensitive_data

const wayland::detail::bitfield<10, 23> wayland::server::zwp_text_input_v1_content_hint::sensitive_data

static

typed text should not be stored

Definition at line 6835 of file wayland-server-protocol-unstable.hpp.

## titlecase

const wayland::detail::bitfield<10, 23> wayland::server::zwp_text_input_v1_content_hint::titlecase

static

prefer casing for titles and headings (can be language dependent)

Definition at line 6831 of file wayland-server-protocol-unstable.hpp.

## uppercase

const wayland::detail::bitfield<10, 23> wayland::server::zwp_text_input_v1_content_hint::uppercase

static

prefer uppercase letters

Definition at line 6829 of file wayland-server-protocol-unstable.hpp.

The documentation for this struct was generated from the following file:

- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.hpp